@import "../../../../styles/variables";

$bg-color-main: $white;
$bg-color-side: $grey-color;

.NodePropsAside {
  flex: 1;
  display: flex;
  flex-direction: column;
  //margin-right: 1rem;
  min-width: 10rem;
  background-color: lighten($grey-color, 20%);
  border-radius: 2px;

  ul {
    margin: 0;
    padding: 0rem;
  }

  z-index: 2;

  &-nav {
    position: relative;
    display: block;
    padding: 1rem;
    //margin-bottom: 1rem;
    letter-spacing: 2px;
    transition: text-align 0.25s ease-in-out;
    cursor: pointer;
  }

  &-nav.active {
    width: calc(100% + 0.25rem + 1px);
    background-color: $bg-color-main;
    border-left: 1px solid lighten($grey-color, 20%);
    border-top: 1px solid lighten($grey-color, 20%);
    border-bottom: 1px solid lighten($grey-color, 20%);
    color: darken($primary-color, 10%);
    font-weight: 700;
    cursor: default;
  }
  &-nav.active:after {
    content: "";
    position: absolute;
    top: 0.5rem;
    right: 0.125rem;
    bottom: 0.5rem;
    width: 0.25rem;
    background-color: $primary-color;
    // border-top: 28px solid transparent;
    // border-bottom: 28px solid transparent;
    // border-left: 7px solid $third-color;
  }
}
